## pytroll-schedule 0.7.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytroll-schedule.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytroll-schedule.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytroll-schedule"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytroll-schedule"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pytroll-schedule 0.5.1

=== debian/changelog ===
pytroll-schedule (0.5.1-2) unstable; urgency=medium

  * debian/patches:
    - new 0003-Fix-test-intersection.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Feb 2019 08:31:13 +0000

pytroll-schedule (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update package description
  * debian/copyright:
    - update copyright dates
    - new entry for versioneer.py
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 10 Jan 2019 07:27:18 +0000

pytroll-schedule (0.5.0-1) unstable; urgency=medium

  * Initial version (Closes: #917219)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 24 Dec 2018 12:28:44 +0000

=== debian/control ===
Source: pytroll-schedule
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-numpy,
               python3-pyorbital,
               python3-pyresample,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
Homepage: https://github.com/pytroll/pytroll-schedule

Package: python3-trollsched
Architecture: all
Depends: python3-numpy,
         python3-pyorbital,
         python3-pyresample,
         ${python3:Depends},
         ${misc:Depends}
Recommends: trollsched-bin,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Scheduling satellite passes in Python
 The package provides a Python library and tools for reception
 scheduling of polar orbit weather satellites.
 This package is part of the PyTroll software suite.

Package: trollsched-bin
Architecture: all
Section: utils
Depends: python3-trollsched (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Scheduling satellite passes in Python - scripts
 The package provides a Python library and tools for reception
 scheduling of polar orbit weather satellites.
 This package is part of the PyTroll software suite.
 .
 This package provides utilities and executable scripts.

## pytroll-schedule 0.5.2

=== debian/changelog ===
pytroll-schedule (0.5.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Use debhelper-compat instead of debian/compat.
  * Set compat to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2019 17:29:12 +0000

pytroll-schedule (0.5.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Jul 2019 23:13:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-numpy,
                python3-pyorbital,
                python3-pyresample,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
 Homepage: https://github.com/pytroll/pytroll-schedule

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r *.egg-info

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|pytroll-schedule)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pytroll-schedule-$1.$2/ \
https://github.com/pytroll/pytroll-schedule/releases \
(?:.*?/archive/)?(?:rel|v|pytroll-schedule)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytroll-schedule 0.6.0

=== debian/changelog ===
pytroll-schedule (0.6.0-5) unstable; urgency=medium

  * debian/patches:
    - new 0004-Fix-floating-point-comparison.patch
      (Closes: #1026733).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Dec 2022 11:20:31 +0000

pytroll-schedule (0.6.0-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add test-dependency on python3-all in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 17:22:43 +0000

pytroll-schedule (0.6.0-3) unstable; urgency=medium

  * debian/control:
    - set the minimum required version of python3-pyresample
      to 1.23.
  * debian/tests/python3:
    - disable "test_bool" it fails with old pyresample versions
      due to a bun in pyresample itself
      (see https://github.com/pytroll/pytroll-schedule/issues/68).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Apr 2022 07:44:25 +0000

pytroll-schedule (0.6.0-2) unstable; urgency=medium

  * debian/patches:
    - new patch 0003-Fix-brikent-tests.patch.
      Fixes compatibility with PyResample v1.23.
      Closes: #1008947.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 05 Apr 2022 05:20:57 +0000

pytroll-schedule (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Update dependencies in d/control (python3-yaml,
    python3-cartopy and python3-pytest added).
  * Add debian/tests.
  * debian/patches:
    - drop 0001-Fix-tests.patch and 0003-Fix-test-intersection.patch,
      no longer needed
    - refresh and renimber remaining patches
    - new 0002-Install-tests.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Dec 2021 16:32:27 +0000

pytroll-schedule (0.5.2-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.6.0, no changes.
  * debian/control:
    - set Rules-Requires-Root: no
    - add build-dependency on dh-sequence-python3
  * debian/patches:
    - set Forwarded fielda in all patches

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Oct 2021 09:15:23 +0000

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,33 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               dh-sequence-python3,
                python3-all,
+               python3-cartopy,
                python3-numpy,
                python3-pyorbital,
-               python3-pyresample,
+               python3-pyresample (>= 1.23),
+               python3-pytest,
+               python3-yaml,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
 Homepage: https://github.com/pytroll/pytroll-schedule
+Rules-Requires-Root: no
 
 Package: python3-trollsched
 Architecture: all
 Depends: python3-numpy,
          python3-pyorbital,
          python3-pyresample,
+         python3-yaml,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: trollsched-bin,
             ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Suggests: ${python3:Suggests},
+          python3-cartopy
 Description: Scheduling satellite passes in Python
  The package provides a Python library and tools for reception
  scheduling of polar orbit weather satellites.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# export DH_VERBOSE=1
+
+export PYBUILD_TEST_ARGS=$(CURDIR)/trollsched/tests
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## pytroll-schedule 0.7.0

=== debian/changelog ===
pytroll-schedule (0.7.0-2) unstable; urgency=medium

  * Fix d/trollsched-bin.install.
  * Fix d/tests/python3.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Jun 2023 11:05:25 +0000

pytroll-schedule (0.7.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Remove __pycache__ directories before dh_missing.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - add dependency on defusedxml.
  * debian/changelog:
    - drop 0003-Fix-brikent-tests.patch and
      0004-Fix-floating-point-comparison.patch,
      applied upstream
    - rename 0001-Do-not-install-broken-script.patch into
      0001-Do-not-install-script.patch
    - drop 0002-Install-tests.patch
    - new 0002-Fix-shebang-string.patch
    - refresh remaining patches.
  * debian/trollsched-bin.install:
    - install generate_schedule_xmlpage.py script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Jun 2023 10:31:39 +0000

=== debian/control ===
Source: pytroll-schedule
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-cartopy,
               python3-defusedxml,
               python3-numpy,
               python3-pyorbital,
               python3-pyresample (>= 1.23),
               python3-pytest,
               python3-yaml,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
Homepage: https://github.com/pytroll/pytroll-schedule
Rules-Requires-Root: no

Package: python3-trollsched
Architecture: all
Depends: python3-pyorbital,
         python3-pyresample,
         python3-yaml,
         ${python3:Depends},
         ${misc:Depends}
Recommends: trollsched-bin
Suggests: python3-cartopy
Description: Scheduling satellite passes in Python
 The package provides a Python library and tools for reception
 scheduling of polar orbit weather satellites.
 This package is part of the PyTroll software suite.

Package: trollsched-bin
Architecture: all
Section: utils
Depends: python3-trollsched (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: Scheduling satellite passes in Python - scripts
 The package provides a Python library and tools for reception
 scheduling of polar orbit weather satellites.
 This package is part of the PyTroll software suite.
 .
 This package provides utilities and executable scripts.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,16 @@
 export PYBUILD_TEST_ARGS=$(CURDIR)/trollsched/tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
 
 	$(RM) -r *.egg-info
+
+execute_before_dh_missing:
+	$(RM) -r $(CURDIR)/debian/*/usr/lib/python*/dist-packages/trollsched/__pycache__
+	$(RM) -r $(CURDIR)/debian/*/usr/lib/python*/dist-packages/trollsched/tests/__pycache__
+
+override_dh_numpy3:
+	dh_numpy3 -p python3-trollsched

## pytroll-schedule 0.7.1

=== debian/changelog ===
pytroll-schedule (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 19 Feb 2024 06:59:28 +0000

pytroll-schedule (0.7.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Move the common package description to source.
  * Switch to autopkgtest-pkg-pybuild.
  * debian/rules:
    - Use <!nocheck> tag.
  * debian/copyright:
    - Fix versioneer license.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 15:22:23 +0000

=== debian/control ===
Source: pytroll-schedule
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               python3-all,
               python3-cartopy,
               python3-defusedxml,
               python3-numpy,
               python3-pyorbital,
               python3-pyresample (>= 1.23),
               python3-pytest <!nocheck>,
               python3-yaml,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
Homepage: https://github.com/pytroll/pytroll-schedule
Rules-Requires-Root: no
Description: Scheduling satellite passes in Python
 The package provides a Python library and tools for reception
 scheduling of polar orbit weather satellites.
 This package is part of the PyTroll software suite.

Package: python3-trollsched
Architecture: all
Depends: python3-pyorbital,
         python3-pyresample,
         python3-yaml,
         ${python3:Depends},
         ${misc:Depends}
Recommends: trollsched-bin
Suggests: python3-cartopy
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: trollsched-bin
Architecture: all
Section: utils
Depends: python3-trollsched (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} -- scripts
 ${source:Extended-Description}
 .
 This package provides utilities and executable scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=-k "not test_bool" $(CURDIR)/trollsched/tests

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_missing:
	$(RM) -r $(CURDIR)/debian/*/usr/lib/python*/dist-packages/trollsched/__pycache__
	$(RM) -r $(CURDIR)/debian/*/usr/lib/python*/dist-packages/trollsched/tests/__pycache__

override_dh_numpy3:
	dh_numpy3 -p python3-trollsched

## pytroll-schedule 0.7.2

=== debian/changelog ===
pytroll-schedule (0.7.2-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add upstream patch to fix random FTBFS.
    (closes: #1104349)
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Apr 2025 15:35:25 +0000

pytroll-schedule (0.7.2-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/rules:
    - Skip tests taking too long to execute (test_schedule_avoid).
      Closes: #1101594.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Apr 2025 15:49:04 +0000

pytroll-schedule (0.7.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't run autopkgtest on s390x, big endian not supported by pyogrio.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 Jan 2025 06:55:17 +0000

pytroll-schedule (0.7.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - Drop 0001-Do-not-install-script.patch.
    - Rename and renumber remaining patches.
  * debian/control:
    - Update dependencies.
    - Switch to pybuild-plugin-pyproject.
  * Update d/*.install files.
  * Add missing manpages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Jan 2025 12:05:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,22 @@
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cartopy,
                python3-defusedxml,
+               python3-geopandas,
+               python3-hatch-vcs,
+               python3-hatchling,
                python3-numpy,
+               python3-pandas,
                python3-pyorbital,
                python3-pyresample (>= 1.23),
                python3-pytest <!nocheck>,
-               python3-yaml,
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-setuptools,
+               python3-shapely,
+               python3-yaml
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pytroll-schedule
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pytroll-schedule.git
 Homepage: https://github.com/pytroll/pytroll-schedule
@@ -29,10 +35,7 @@
 
 Package: python3-trollsched
 Architecture: all
-Depends: python3-pyorbital,
-         python3-pyresample,
-         python3-yaml,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: trollsched-bin
 Suggests: python3-cartopy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export PYBUILD_AFTER_TEST=${RM} -r {build_dir}/.pytest_cache {build_dir}/trollsched/__pycache__ {build_dir}/trollsched/tests/__pycache__
export PYBUILD_TEST_ARGS=\
-k "not test_bool \
and not test_schedule_avoid" \
-v --pyargs trollsched

%:
	dh $@ --buildsystem=pybuild

override_dh_numpy3:
	dh_numpy3 -p python3-trollsched

## pytroll-schedule 0.7.5

=== debian/changelog ===
pytroll-schedule (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop pr100-Fix-test-running-long.patch.
  * debian/control:
    - Drop versioned dependency for pyresample.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 10:25:41 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-numpy,
                python3-pandas,
                python3-pyorbital,
-               python3-pyresample (>= 1.23),
+               python3-pyresample,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-shapely,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|pytroll-schedule)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pytroll-schedule-$1.$2/ \
https://github.com/pytroll/pytroll-schedule/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pytroll-schedule)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
